Debian Bug report logs - #666232
gitg: FTBFS with gtk 3.4

version graph

Package: src:gitg; Maintainer for src:gitg is Dmitry Smirnov <onlyjob@debian.org>;

Reported by: biebl@debian.org

Date: Thu, 29 Mar 2012 21:39:12 UTC

Severity: serious

Tags: patch

Found in version gitg/0.2.4-1

Fixed in version 0.2.4-1.1

Done: Michael Gilbert <mgilbert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Jonny Lamb <jonny@debian.org>:
Bug#666232; Package src:gitg. (Thu, 29 Mar 2012 21:39:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to biebl@debian.org:
New Bug report received and forwarded. Copy sent to Jonny Lamb <jonny@debian.org>. (Thu, 29 Mar 2012 21:39:14 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: biebl@debian.org
To: maintonly@bugs.debian.org
Subject: gitg: FTBFS with gtk 3.4
Date: Thu, 29 Mar 2012 23:35:47 +0200
Source: gitg
Version: 0.2.4-1
Severity: important
User: pkg-gnome-maintainers@lists.alioth.debian.org
Usertags: gtk-3.4-ftbfs

Hi,

gtk 3.4 will be part of the upcoming GNOME 3.4 release.

A 3.4.0 release of gtk is available in experimental.
During a test-rebuild gitg failed to build with the new gtk 3.4
You can find the full build log at [1].

In most cases, this is due to the usage of deprecated API [2] and
gitg using -Werror.

Please update gitg at your earliest convenience, so once we move
gtk 3.4 from experimental to unstable, your package will remain
buildable. We plan on uploading gtk-3.4 in a few days.

Thanks!

Michael,
on behalf of the Debian GNOME team.

[1] http://people.debian.org/~biebl/gtk-3.4/gitg_0.2.4-1.log
[2] http://developer.gnome.org/gtk3/3.4/api-index-deprecated.html





Severity set to 'serious' from 'important' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 19 Apr 2012 03:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jonny Lamb <jonny@debian.org>:
Bug#666232; Package src:gitg. (Sun, 29 Apr 2012 06:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 吴江 <masterwujiang@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jonny Lamb <jonny@debian.org>. (Sun, 29 Apr 2012 06:15:03 GMT) Full text and rfc822 format available.

Message #12 received at 666232@bugs.debian.org (full text, mbox):

From: 吴江 <masterwujiang@gmail.com>
To: 666232@bugs.debian.org
Subject: patch for this
Date: Sun, 29 Apr 2012 14:11:03 +0800
[Message part 1 (text/plain, inline)]
just replaced deprecated gdk_window_get_pointer
[Message part 2 (text/html, inline)]
[gitg_0.2.4-1.1.debdiff (application/octet-stream, attachment)]

Added tag(s) patch. Request was from 吴江 <masterwujiang@gmail.com> to control@bugs.debian.org. (Sun, 29 Apr 2012 06:15:04 GMT) Full text and rfc822 format available.

Reply sent to wujiang <masterwujiang@gmail.com>:
You have taken responsibility. (Sun, 29 Apr 2012 08:51:51 GMT) Full text and rfc822 format available.

Notification sent to biebl@debian.org:
Bug acknowledged by developer. (Sun, 29 Apr 2012 08:51:58 GMT) Full text and rfc822 format available.

Message #19 received at 666232-close@bugs.debian.org (full text, mbox):

From: wujiang <masterwujiang@gmail.com>
To: 666232-close@bugs.debian.org
Subject: Bug#666232: fixed in gitg 0.2.4-1.1
Date: Sun, 29 Apr 2012 08:48:30 +0000
Source: gitg
Source-Version: 0.2.4-1.1

We believe that the bug you reported is fixed in the latest version of
gitg, which is due to be installed in the Debian FTP archive:

gitg_0.2.4-1.1.debian.tar.gz
  to main/g/gitg/gitg_0.2.4-1.1.debian.tar.gz
gitg_0.2.4-1.1.dsc
  to main/g/gitg/gitg_0.2.4-1.1.dsc
gitg_0.2.4-1.1_amd64.deb
  to main/g/gitg/gitg_0.2.4-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 666232@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
wujiang <masterwujiang@gmail.com> (supplier of updated gitg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 29 Apr 2012 13:57:01 +0800
Source: gitg
Binary: gitg
Architecture: source amd64
Version: 0.2.4-1.1
Distribution: unstable
Urgency: low
Maintainer: Jonny Lamb <jonny@debian.org>
Changed-By: wujiang <masterwujiang@gmail.com>
Description: 
 gitg       - git repository viewer for gtk+/GNOME
Closes: 666232
Changes: 
 gitg (0.2.4-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Replaced deprecated gdk_window_get_pointer API. (Closes: #666232)
     + debian/patches/ftbfs: Added.
Checksums-Sha1: 
 850dcf4f27516af8d6f4d8dbea5996f305baad23 1336 gitg_0.2.4-1.1.dsc
 a62b46a4105c609d68c7f5075e63d906c032deea 5909 gitg_0.2.4-1.1.debian.tar.gz
 d4d694dab81894cca9a8e3a480a8e8be92094dff 293724 gitg_0.2.4-1.1_amd64.deb
Checksums-Sha256: 
 d6db724f4a6398c19b1ffaceb0759c8a3c3ba397a34f692061f36ca62673cbd8 1336 gitg_0.2.4-1.1.dsc
 b1cc68c3397774c1551c6d113b2b4bbc83f50117abc38c6785d55259cb6fd845 5909 gitg_0.2.4-1.1.debian.tar.gz
 35ea757f624c32a04d2e2aef81a147949a810e79c9916a24d6ac9b1c1d08e7fd 293724 gitg_0.2.4-1.1_amd64.deb
Files: 
 81680e9f0a46642611f8a77ace4d0d90 1336 vcs optional gitg_0.2.4-1.1.dsc
 a0802f94b88dd909d62f3825d2a292b2 5909 vcs optional gitg_0.2.4-1.1.debian.tar.gz
 3a8e379c4bfe7136303d025d9a7a7d84 293724 vcs optional gitg_0.2.4-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAk+c8acACgkQl4M9yZjvmkklkACePRbHgNP8OsJ3NsemZEe7x7ds
T1EAoJBaJgefLexDVcdKLwGNXLIHh6cQ
=fYZu
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Jonny Lamb <jonny@debian.org>:
Bug#666232; Package src:gitg. (Sun, 27 May 2012 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rodolfo <rodolforg@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jonny Lamb <jonny@debian.org>. (Sun, 27 May 2012 23:27:03 GMT) Full text and rfc822 format available.

Message #24 received at 666232@bugs.debian.org (full text, mbox):

From: Rodolfo <rodolforg@gmail.com>
To: 666232@bugs.debian.org
Subject: Not properly done: it crashes
Date: Sun, 27 May 2012 20:25:34 -0300
The function gdk_window_get_device_position() doesn't accept an
integer/enum for device pointer (GDK_SOURCE_MOUSE)...
And it crashes and it's really annoying. I can't select some change
pieces from a file for a selective commit.

So, where you find:
./gitg/gitg-commit-view.c line 970:	gdk_window_get_device_position
(win, GDK_SOURCE_MOUSE, &x, &y, NULL);

should be replaced by:
GdkDeviceManager *device_manager =
gdk_display_get_device_manager(gdk_window_get_display(win));
GdkDevice *pointer = gdk_device_manager_get_client_pointer (device_manager);
gdk_window_get_device_position (win, pointer, &x, &y, NULL);

and
./gitg/gitg-dnd.c:	gdk_window_get_device_position
(gtk_tree_view_get_bin_window (data->tree_view), GDK_SOURCE_MOUSE,
NULL, &y, NULL);

should be replace by:
GdkWindow *win = gtk_tree_view_get_bin_window (data->tree_view);
GdkDeviceManager *device_manager =
gdk_display_get_device_manager(gdk_window_get_display(win));
GdkDevice *pointer = gdk_device_manager_get_client_pointer (device_manager);
gdk_window_get_device_position (win, pointer, NULL, &y, NULL);

Regards.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2012 07:37:40 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Rodolfo <rodolforg@gmail.com> to control@bugs.debian.org. (Sun, 18 Nov 2012 15:51:15 GMT) Full text and rfc822 format available.

Bug reopened Request was from Rodolfo <rodolforg@gmail.com> to control@bugs.debian.org. (Sun, 18 Nov 2012 15:51:16 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions gitg/0.2.4-1.1. Request was from Rodolfo <rodolforg@gmail.com> to control@bugs.debian.org. (Sun, 18 Nov 2012 15:51:16 GMT) Full text and rfc822 format available.

Reply sent to Michael Gilbert <mgilbert@debian.org>:
You have taken responsibility. (Sun, 18 Nov 2012 21:57:27 GMT) Full text and rfc822 format available.

Notification sent to biebl@debian.org:
Bug acknowledged by developer. (Sun, 18 Nov 2012 21:57:27 GMT) Full text and rfc822 format available.

Message #37 received at 666232-close@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 666232-close@bugs.debian.org
Subject: re: gitg: FTBFS with gtk 3.4
Date: Sun, 18 Nov 2012 16:50:45 -0500
version: 0.2.4-1.1

> The function gdk_window_get_device_position() doesn't accept an
> integer/enum for device pointer (GDK_SOURCE_MOUSE)...
> And it crashes and it's really annoying. I can't select some change
> pieces from a file for a selective commit.

That is not at all related to this bug report.  Please open a new one.

Thanks,
Mike



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 17 Dec 2012 07:26:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:48:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.